Bug 1120834 - [EARLY ACCESS] nrpe requires restart before use [NEEDINFO]
Summary: [EARLY ACCESS] nrpe requires restart before use
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nagios-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Kanagaraj
QA Contact: RHS-C QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 19:52 UTC by James Rankin
Modified: 2016-04-18 10:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 16:20:30 UTC
kmayilsa: needinfo? (jrankin)


Attachments (Terms of Use)

Description James Rankin 2014-07-17 19:52:05 UTC
Description of problem in RHS 3.0 Early Access release:


When configuring Nagios on RHS 3 EA, I followed this workflow:

- Setup allowed_hosts in /etc/nagios/nrpe.cfg
- service nrpe start
- Ran the discovery.py script on my main nagios node

The script will then return that nrpe is inaccessible (though it was running and the firewall is accepting everything).

After restarting nrpe, the script then worked.

I've had to do this on every node, i.e. a 'service nrpe start' && 'service nrpe restart' is required before nrpe will begin working.

Comment 2 Kanagaraj 2014-07-18 05:49:39 UTC
nrpe service will be running by default, so "service nrpe start" doesn't have any effect.

We need to do "service nrpe restart" to get it work properly.


Note You need to log in before you can comment on or make changes to this bug.